

#include <windows.h>

#include<fstream>
#include<iostream>


#include "ping.h"
#include "CPingManage.h"

#include "main.h"
#include "logging.h"
#include "warn.h"


#define		DEF_GLOBAL_SECTION					"Global"
#define		DEF_GLOBAL_MAILSERVERADDRESS		"MailServerAddress"
#define		DEF_GLOBAL_SENDTO					"SendTo"
#define		DEF_GLOBAL_FROM						"From"



int GetIni( void );



static char m_szBigBuf[ 4096 ];
int GetIni( void )
{
	char		szIniData[ 80 ];

	char		szIniFile[ MAX_PATH ];
	strcpy( szIniFile, szExecPath );
	strcat( szIniFile, "SvcPng.ini" );


	/******************** [ݒ ********************************************/
	DWORD dwRet = GetPrivateProfileString(
			DEF_GLOBAL_SECTION,					/* ZNV : PC/IP@햼 */
			DEF_GLOBAL_MAILSERVERADDRESS,		/* L[ */
			"127.0.0.1",						/* ftHgl */
			szMail_SvrName,
			sizeof( szMail_SvrName ), 
			szIniFile );

	dwRet = GetPrivateProfileString(
			DEF_GLOBAL_SECTION,					/* ZNV : PC/IP@햼 */
			DEF_GLOBAL_SENDTO,					/* L[ */
			"none",								/* ftHgl */
			szMail_SendTo,
			sizeof( szMail_SendTo ), 
			szIniFile );

		dwRet = GetPrivateProfileString(
			DEF_GLOBAL_SECTION,					/* ZNV : PC/IP@햼 */
			DEF_GLOBAL_FROM,					/* L[ */
			"none",								/* ftHgl */
			szMail_From,
			sizeof( szMail_From ), 
			szIniFile );



	int			nDataCnt, nRet;
	dwRet = GetPrivateProfileString(
			NULL,			/* ZNV : PC/IP@햼 */
			NULL,			/* L[ */
			"Not Found",	/* ftHgl */
			m_szBigBuf,
			sizeof( m_szBigBuf ), 
			szIniFile );
	if (dwRet==0 ) {
		ofs << "INI t@Cǂݍݎs" << std::endl;
		return -1;
	}


	char	*szpToken;


	nDataCnt = 0;
	szpToken = m_szBigBuf;
	while( *szpToken != NULL ) {

		if ( strcmp( szpToken, DEF_GLOBAL_SECTION ) != 0 )
			nDataCnt++;

		/* ΂ */
		while( *szpToken != '\0' )
			szpToken++;
		/* NULL ΂ */
		szpToken++;
		
	}

	cPingLists = new CPingManage [ nDataCnt ];
	iPingMemberNum = nDataCnt;



	nDataCnt = 0;
	szpToken = m_szBigBuf;
	while( *szpToken != NULL ) {

		dwRet = GetPrivateProfileString(
				szpToken,			/* ZNV : PC/IP@햼 */
				"IP",				/* L[ */
				"None",				/* ftHgl */
				szIniData,
				sizeof( szIniData ), 
				szIniFile );
		if (dwRet==0 ) {
			ofs << "INI t@Cǂݍݎs" << std::endl;
			return -2;
		}




		if ( strcmp( szpToken, DEF_GLOBAL_SECTION ) != 0 ) {

			cPingLists[ nDataCnt ].SetIP( szIniData );


			nRet = GetPrivateProfileInt(
					szpToken,			/* ZNV : PC/IP@햼 */
					"Port",				/* L[ */
					-1,					/* ftHgl */
					szIniFile );
			
			cPingLists[ nDataCnt ].SetPort( nRet );







			dwRet = GetPrivateProfileString(
					szpToken,			/* ZNV : PC/IP@햼 */
					"Explanation",		/* L[ */
					"None",				/* ftHgl */
					szIniData,
					sizeof( szIniData ), 
					szIniFile );
			if (dwRet==0 ) {
				ofs << "INI t@Cǂݍݎs" << std::endl;
				return -4;
			}
			
			cPingLists[ nDataCnt ].SetExp( szIniData );



			nDataCnt++;

		}



		/* ΂ */
		while( *szpToken != '\0' )
			szpToken++;
		/* NULL ΂ */
		szpToken++;
		
	}




	


	return 0;
}







