#include "CPingManage.h"




static char szpMSG_NOERROR[]		= "No error";
static char szpMSG_TIMEOUT[]		= "Time out";
static char szpMSG_ERROR[]			= "Error";
static char szpMSG_TTLOVER[]		= "TTL Over";
static char szpMSG_UNKOWNERROR[]	= "Unkown error";



CPingManage::CPingManage()
{
	
	m_szpIp = NULL; 
	m_nPort = 1024;
	m_szpExp = NULL;

}

CPingManage::~CPingManage()
{
	if ( m_szpIp )
		delete m_szpIp;
	m_szpIp = NULL;

	if ( m_szpExp )
		delete m_szpExp;
	m_szpExp = NULL;

}


void CPingManage::SetIP( char *szpIP )
{
	if ( m_szpIp )
		delete m_szpIp;
	m_szpIp = new char[ strlen( szpIP ) +1 ];
	strcpy( m_szpIp, szpIP );
}
void CPingManage::SetPort( int nPort )
{
	m_nPort = nPort;	
}

void CPingManage::SetExp( char *szpExp )
{
	if ( m_szpExp )
		delete m_szpExp;
	m_szpExp = new char[ strlen( szpExp ) +1 ];
	strcpy( m_szpExp, szpExp );
}


char *CPingManage::GetIP( void ) {
	return m_szpIp;
}
int CPingManage::GetPort( void ) {
	return m_nPort;
}
char *CPingManage::GetExp( void ) {
	return m_szpExp;
}


void CPingManage::ExecPing( void ) {
	CPing.DoPing( m_szpIp );
	
	
	
}

int CPingManage::GetStatus( void ) {
	if ( CPing.m_wStatus != PING_DONE )
		return -1;
	else {
		
		return CPing.m_wRetCode;

	}

}


char *CPingManage::GetErrMsg( void ) 
{
	char *szpErrType;


	switch ( GetStatus() )
	{
	case PING_NOERROR:	szpErrType = szpMSG_NOERROR;		break;		
	case PING_TIMEOUT:	szpErrType = szpMSG_TIMEOUT;		break;
	case PING_ERROR:	szpErrType = szpMSG_ERROR;			break;
	case PING_TTLOVER:	szpErrType = szpMSG_TTLOVER;		break;
	default:			szpErrType = szpMSG_UNKOWNERROR;	break;
	}

	return szpErrType;

}