

#include <windows.h>

#include <time.h>
#include<fstream>
#include<iostream>


#include "ping.h"
#include "CPingManage.h"


#include "Warn.h"
#include "logging.h"


extern CPingManage		*cPingLists;
extern int				iPingMemberNum;

char				szMail_SvrName[ MAX_PATH ];
char				szMail_SendTo[ MAX_PATH ];
char				szMail_From[ MAX_PATH ];



int						*nErrIndex;
int						nErrCnt;
DWORD					dwMailLastSend;
/**************************************************************/
const DWORD				dwMailSendInterval_Min = 30;	/* 30 ԊuŃ[M */					
/**************************************************************/


void InitWarn( void );
void ExecErrWaring( void );
int SendMail( void );
void MakeTimeStr( char *szpTime );



void InitWarn( void )
{

	dwMailLastSend = 0;
}


void ExecErrWaring( void ) {

	/* قƂɃG[oĂȂēx`FbN */



	char			szNowTime[ 10 ];

	MakeTimeStr( szNowTime );


	int		nCnt;
	nErrCnt = 0;
	for( nCnt = 0 ; nCnt < iPingMemberNum; nCnt++ ) {

		if ( cPingLists[ nCnt ].GetStatus() > 0 ) {
			nErrCnt++;

			ofs << szNowTime 
				<< " Ping Error :"
				<< cPingLists[ nCnt ].GetIP() 
				<< " " 
				<< cPingLists[ nCnt ].GetExp()
				<< " " 
				<< cPingLists[ nCnt ].GetErrMsg()
				<< std::endl;


		}
	}

	if ( !nErrCnt )
		return;


	nErrIndex = new int[ nErrCnt ];

	int		nErrCntTmp = 0;
	for( nCnt = 0 ; nCnt < iPingMemberNum; nCnt++ ) {
		if ( cPingLists[ nCnt ].GetStatus() > 0 ) {
			nErrIndex[ nErrCntTmp ] = nCnt;
			nErrCntTmp++;
		}
	}




	DWORD		dwTimeMsec = dwMailSendInterval_Min * 60 * 1000;
	
	if ( GetTickCount() > dwMailLastSend + dwTimeMsec ) {
		SendMail();
		dwMailLastSend = ::GetTickCount();
	}

	delete [] nErrIndex;
}




char szTo[256], szSubject[256];
char szStrRcv[ 256 ], szStr[ 1024 ], szFrom[ 256 ], szReplyTo[ 256 ];


int SendMail( void )
{
	char			szNowTime[ 10 ];
	MakeTimeStr( szNowTime );

			ofs << szNowTime 
				<< " Error report, Mail Sending..."
				<< std::endl;




	/* http://www.kumei.ne.jp/c_lang/sdk3/sdk_229.htm */

	LPHOSTENT lpHost;
	LPSERVENT lpServ;
	SOCKET s;
	int iProtocolPort;
	SOCKADDR_IN sockadd;




	if (strcmp(szMail_SvrName, "127.0.0.1") == 0) {
		return -1;
	}
	lpHost = gethostbyname(szMail_SvrName);
	if (lpHost == NULL) {
		//switch (WSAGetLastError() ) 
		//{
		//case 
		//
		//}

		return -2;
	}
	s = socket(PF_INET, SOCK_STREAM, 0);
	if (s == INVALID_SOCKET) {
		return -3;
	}
	lpServ = getservbyname("mail", NULL);
	if (lpServ == NULL) {
		//MessageBox(hWnd, "|[gw肪ĂȂ̂ŁAftHgg܂", "OK", MB_OK);
		iProtocolPort = htons(IPPORT_SMTP);
	} else {
		iProtocolPort = lpServ->s_port;
	}
	sockadd.sin_family = AF_INET;
	sockadd.sin_port = iProtocolPort;





	sockadd.sin_addr = *((LPIN_ADDR)*lpHost->h_addr_list);
	if (connect(s, (PSOCKADDR)&sockadd, sizeof(sockadd))) {
		/* MessageBox(hWnd, "T[o[\Pbgɐڑs", "Error", MB_OK); */
		return -4;
	}
	memset(szStrRcv, '\0', sizeof(szStrRcv));
	recv(s, szStrRcv, sizeof(szStrRcv), 0);

	ofs << szNowTime 
		<< " RCV  Mail Server " 
		<< szStrRcv
		<< std::endl;



	//MessageBox(hWnd, szStrRcv, "Server", MB_OK);

	strcpy(szStr,  "HELO ");
	strcat(szStr, szMail_SvrName );
	strcat(szStr, "\r\n");
	send(s, szStr, (int)strlen(szStr), 0);

	ofs << szNowTime 
		<< " SEND Mail Server " 
		<< szStr
		<< std::endl;



	memset(szStrRcv, '\0', sizeof(szStrRcv));
	recv(s, szStrRcv, sizeof(szStrRcv), 0);

	ofs << szNowTime 
		<< " RCV  Mail Server " 
		<< szStrRcv
		<< std::endl;

	//MessageBox(hWnd, szStrRcv, "Server", MB_OK);

	//if (strcmp(szFrom, "") == 0) {
	//	MessageBox(hWnd, "ol[AhX͂Ă", "ol", MB_OK);
	//	DialogBox(hInst, "MYDLG", hWnd, (DLGPROC)MyDlgProc);
	//	strcpy(szFrom, szStr);
	//}
	strcpy( szFrom, "Service Ping" );



	//wsprintf(szStr, "MAIL FROM : <%s>\r\n", szFrom);
	wsprintf(szStr, "MAIL FROM : <%s>\r\n", szMail_From );




	send(s, szStr, (int)strlen(szStr), 0);
	ofs << szNowTime 
		<< " SEND Mail Server " 
		<< szStr
		<< std::endl;



	memset(szStrRcv, '\0', sizeof(szStrRcv));
	recv(s, szStrRcv, sizeof(szStrRcv), 0);
	//MessageBox(hWnd, szStrRcv, "Server", MB_OK);

	ofs << szNowTime 
		<< " RCV  Mail Server " 
		<< szStrRcv
		<< std::endl;



	//MessageBox(hWnd, "Đ惁[AhX͂Ă", "Đ", MB_OK);
	//DialogBox(hInst, "MYDLG", hWnd, (DLGPROC)MyDlgProc);
	//strcpy(szTo, szStr);
	strcpy(szTo, szMail_SendTo );	
	wsprintf(szStr, "RCPT TO :<%s>\r\n", szTo);
	send(s, szStr, (int)strlen(szStr), 0);
	ofs << szNowTime 
		<< " SEND Mail Server " 
		<< szStr
		<< std::endl;


	memset(szStrRcv, '\0', sizeof(szStrRcv));
	recv(s, szStrRcv, sizeof(szStrRcv), 0);
	//MessageBox(hWnd, szStrRcv, "Server", MB_OK);
	ofs << szNowTime 
		<< " RCV  Mail Server " 
		<< szStrRcv
		<< std::endl;




	strcpy(szStr, "DATA\r\n");
	send(s, szStr, (int)strlen(szStr), 0);
	ofs << szNowTime 
		<< " SEND Mail Server " 
		<< szStr
		<< std::endl;



	memset(szStrRcv, '\0', sizeof(szStrRcv));
	recv(s, szStrRcv, sizeof(szStrRcv), 0);
	//MessageBox(hWnd, szStrRcv, "Server", MB_OK);
	ofs << szNowTime 
		<< " RCV  Mail Server " 
		<< szStrRcv
		<< std::endl;



	strcpy(szStr, "X-Mailer: Nekodemo_Wakaru-Mailer\r\n");
	send(s, szStr, (int)strlen(szStr), 0);
	ofs << szNowTime 
		<< " SEND Mail Server " 
		<< szStr
		<< std::endl;



	memset( szReplyTo, 0, sizeof(szReplyTo) );

	if (strcmp(szReplyTo, "") != 0) {
		wsprintf(szStr, "Reply-To: %s\r\n", szReplyTo);
		send(s, szStr, (int)strlen(szStr), 0);
	}

	//MessageBox(hWnd, "͂Ă", "", MB_OK);
	//DialogBox(hInst, "MYDLG", hWnd, (DLGPROC)MyDlgProc);
	strcpy(szSubject,  "Service Ping" );
	wsprintf(szStr, "Subject: %s \r\n", szSubject);
	send(s, szStr, (int)strlen(szStr), 0);
	ofs << szNowTime 
		<< " SEND Mail Server " 
		<< szStr
		<< std::endl;
	
	//łxu\r\nv𑗐MĂȂ
	//{ɓ{gꍇPsڂ܂
	strcpy(szStr, "\r\n");
	send(s, szStr, (int)strlen(szStr), 0);
	ofs << szNowTime 
		<< " SEND Mail Server " 
		<< szStr
		<< std::endl;




//	while (1) {
//		MessageBox(hWnd,
//			"{PsLāuOKv{^ĂB\n"
//			"LIuLZv{^ĂB",
//			"{", MB_OK);
//		iRtn = DialogBox(hInst, "MYDLG", hWnd, (DLGPROC)MyDlgProc);
//		if (iRtn == IDCANCEL)
//			break;
//		strcpy( szStr, "data111" );
//		strcat(szStr, "\r\n");
//		send(s, szStr, (int)strlen(szStr), 0);
//		break;
//	}


	/* ping AėȂ */

	int		nErrCntTemp;
	for( nErrCntTemp = 0 ; nErrCntTemp < nErrCnt ; nErrCntTemp++ ) {
		int		nErr = nErrIndex[ nErrCntTemp ];

		wsprintf( szStr, "ping error : To %19.19s    IP Info:%s  Error Type:%s\r\n", 
							cPingLists[ nErr ].GetIP(),
							cPingLists[ nErr ].GetExp(),
							cPingLists[ nErr ].GetErrMsg()
					);

		send(s, szStr, (int)strlen(szStr), 0);
		ofs << szNowTime 
			<< " SEND Mail Server " 
			<< szStr
			<< std::endl;

	}




	strcpy(szStr, ".\r\n");
	send(s, szStr, (int)strlen(szStr), 0);
	ofs << szNowTime 
		<< " SEND Mail Server " 
		<< szStr
		<< std::endl;


	memset(szStrRcv, '\0', sizeof(szStrRcv));
	recv(s, szStrRcv, sizeof(szStrRcv), 0);
	//MessageBox(hWnd, szStrRcv, "Server", MB_OK);


	ofs << szNowTime 
		<< " RCV  Mail Server " 
		<< szStrRcv
		<< std::endl;



	strcpy(szStr,  "QUIT\r\n");
	send(s, szStr, (int)strlen(szStr), 0);
	ofs << szNowTime 
		<< " SEND Mail Server " 
		<< szStr
		<< std::endl;

	memset(szStrRcv, '\0', sizeof(szStrRcv));
	recv(s, szStrRcv, sizeof(szStrRcv), 0);
	//MessageBox(hWnd, szStrRcv, "Server", MB_OK);

	ofs << szNowTime 
		<< " RCV  Mail Server " 
		<< szStrRcv
		<< std::endl;





	closesocket(s);
	//WSACleanup();



	MakeTimeStr( szNowTime );

			ofs << szNowTime 
				<< " Error report, Mail Sent"
				<< std::endl;



	return 0;


}


void MakeTimeStr( char *szpTime )
{
    struct tm		*mytime;
    time_t			long_time;

	
	time(&long_time);
    mytime = localtime(&long_time);

	sprintf( szpTime, "%2.2d:%2.2d:%2.2d", 
				mytime->tm_hour,
				mytime->tm_min, 
				mytime->tm_sec
			);


}