
#include <windows.h>

#include<stdio.h>
#include <time.h>
#include<fstream>
#include<iostream>

#include "ping.h"
#include "CPingManage.h"

#include "main.h"
#include "logging.h"







std::ofstream		ofs;
char				szLogFile[ MAX_PATH ];
struct tm			*stMyTime;
    


void OpenLogFile ( void );
void CloseLogFile( void );
void ReopenLogFile_IfDateUpDate ( void );



void OpenLogFile ( void ) 

{



	char	szBuf[ 10 ];
    time_t long_time;


	strcpy( szLogFile, szExecPath );
	strcat( szLogFile, "Log" );


    time(&long_time);
    stMyTime = localtime(&long_time);

	sprintf( szBuf, "%2.2d%2.2d%2.2d", 
				stMyTime->tm_year,
				stMyTime->tm_mon + 1,
				stMyTime->tm_mday
			);

	strcat( szLogFile, szBuf );


	strcat( szLogFile, ".txt" );



	ofs.open( szLogFile, std::ios::app | std::ios::out );

}



void CloseLogFile( void )
{
	ofs.close();

}


void ReopenLogFile_IfDateUpDate ( void ) 
{


    time_t long_time;
	struct tm	*stNowTime;

    time(&long_time);
    stNowTime = localtime(&long_time);

	if (   ( stNowTime->tm_year != stMyTime->tm_year ) || 
           ( stNowTime->tm_mon  != stMyTime->tm_mon  ) || 
           ( stNowTime->tm_mday != stMyTime->tm_mday ) 
		   ) {

		CloseLogFile();
		OpenLogFile();
	}


}