#include <windows.h>

#include<stdio.h>
#include <time.h>
#include<fstream>
#include<iostream>


#include "ping.h"
#include "CpingManage.h"

#include "warn.h"
#include "logging.h"
#include "GetIni.h"




#define		DEF_SERVICE_NAME					"Ping Check Service"
#define		DEF_SERVICEGROUP_TITLE				"T[rX T[rX"


/* Proto-type */
int main( int argc, char *argv[] );
int ExecuteCommandLine( int argc, char *argv[] ) ;
int InitPathInf( void );
int RegisterServiceMe( BOOL blDelete );
int GetIni( void );

void WINAPI serviceProc(DWORD argc, LPSTR *argv);
void WINAPI serviceCtl(DWORD ctl);



char			szExecPath[ MAX_PATH ];
CPingManage		*cPingLists;
int				iPingMemberNum;


/**************************************************************/
/* ping ̃C^[o */
const DWORD		dwPingInterval_Min = 5;
/**************************************************************/


int main( int argc, char *argv[] ) {

	int		nRet;


	nRet = ExecuteCommandLine( argc, argv );
	if ( nRet ) {
		return -1;
	}
	nRet = InitPathInf();	
	if ( nRet ) {
		printf( "Ot@C쐬G[" );
		return -2;
	}
	
	GetIni();

	InitPing();
	InitWarn();


	//SendMail();
	//exit( 0 );

	SERVICE_TABLE_ENTRY arr_serv[] = {
		{ DEF_SERVICE_NAME, serviceProc },  // T[rX, T[rX̊֐
		{ NULL, NULL }                 // T[rXP̏ꍇ NULL e[uKv

	};

	OpenLogFile();

	InitPing();
	if(!StartServiceCtrlDispatcher(arr_serv)){
		// MessageBoxȂ񂩎g, OIĂȂƂɑΏłȂB
		ofs << "Ȃ񂩃G[NႢ܂B" << std::endl;
	}

	ofs.close();

	ExitPing();
	return 0;

}

int ExecuteCommandLine( int argc, char *argv[] ) 
{
	int		nargc;
	int		nCmdId;
	int		nHit;
	int		nRet;
	char	*szpDiffCmd;

	if ( argc <= 1 ) {
		printf( "SvcPing.exe \n" );
		printf( "  -register    :  T[rXƂēo^AN\n" );
		printf( "  -unregister  :  T[rX폜\n" );

		// system Ă΂ꂽ exit Ȃ悤ɁEEE 
		//exit( EXIT_SUCCESS );

	}

	for( nargc = 1 ; nargc < argc ; nargc++ ) {

		nHit = -1;

		for( nCmdId = 0 ; nCmdId < 4 ; nCmdId++ ) {

			switch( nCmdId ) {
			// cmd ID
			case 0:szpDiffCmd = "-register";	break;
			case 1:szpDiffCmd = "-unregister";break;
			case 2:szpDiffCmd = "-start";break;
			case 3:szpDiffCmd = "-end";break;
			}
			if ( strlen( argv[ nargc ] ) >= strlen( szpDiffCmd ) ) {
				if ( strncmp( argv[ nargc ], szpDiffCmd, strlen( szpDiffCmd) ) == 0 ) {
					nHit = nCmdId;
					break;
				}
				
			}
		}

		if ( nHit == -1 ) {
			printf( "unrecognized command line argNum %d, %s.\n", 
						nargc, argv[ nargc] );
			return -1;
		}

		switch ( nHit ) {

		case 0:
			// -resister
			/* o^ĂȂȂT[rXƂĎgo^ */

			nRet = RegisterServiceMe( FALSE );
			if ( nRet )
				return -1;
			break;

		case 1:
			// -resister
			/* T[rX폜 */
			nRet = RegisterServiceMe( TRUE );
			if ( nRet )
				return -1;

			/* IłˁEEE */
			exit(EXIT_SUCCESS );
			break;



		}


	}

	return 0;
}


int InitPathInf( void )
{
	/* AvpX\logyymmdd.txt */

	memset(szExecPath, 0, sizeof(szExecPath) / sizeof(char)  );

	HMODULE hModule = GetModuleHandle( NULL );
	if ( hModule == NULL ) {
		return -1;
	}

	DWORD dwRet = GetModuleFileName( hModule, szExecPath, sizeof( szExecPath ) );
	if ( dwRet == 0 ) {
		return -2;
	}


	

	char drive[_MAX_DRIVE];
	char dir[_MAX_DIR];
	char fname[_MAX_FNAME];
	char ext[_MAX_EXT];

	_splitpath( szExecPath, drive, dir, fname, ext );

	strcpy( szExecPath, drive );
	strcat( szExecPath, dir );




	return 0;
}


int RegisterServiceMe( BOOL blDelete ) {

	SC_HANDLE 		hServiceControlManager;
	SC_HANDLE		hSvcHandle;
	char			szFileName[ MAX_PATH ];
	DWORD			dwRet;


	/* http://jim-tamura.at.webry.info/200607/article_3.html */
	/*   */

	hServiceControlManager = OpenSCManager(
		NULL, SERVICES_ACTIVE_DATABASE, SC_MANAGER_ALL_ACCESS);	

	if ( hServiceControlManager == NULL ) {
		return -1;
	}

	/* T[rXo^ς݂mF */
	hSvcHandle = OpenService(
					hServiceControlManager, 
					DEF_SERVICE_NAME, 
					DELETE );
	if ( hSvcHandle == NULL ) {
		/* T[rX݂͑Ȃ */
		if ( blDelete ) {
			printf( "o^Ă܂B\n" );
			CloseServiceHandle(hServiceControlManager);
			return 0;
		}
	} else {

		/* pXĂ邩mȂ̂łƂɂ
		   xT[rX폜 */
		if(!DeleteService(hSvcHandle)){

			/* T[rX폜G[ */
			switch (GetLastError() )
			{
			case ERROR_ACCESS_DENIED:
				printf( "T[rX폜G[FANZX\n" );
					break;
			case ERROR_INVALID_HANDLE:
				printf( "T[rX폜G[Fnh\n" );
					break;
			case ERROR_SERVICE_MARKED_FOR_DELETE:
				printf( "T[rX폜G[F폜̂߂Ƀ}[NĂ\n" );
					break;
			}

			

			/* T[rX폜G[ */
			if ( blDelete ) {
				CloseServiceHandle(hSvcHandle);
				CloseServiceHandle(hServiceControlManager);
				printf( "T[rX폜ł܂łB\n" );
				return -2;
			}
		}
		CloseServiceHandle(hSvcHandle);

		if ( blDelete ) {
			CloseServiceHandle(hServiceControlManager);
			printf( "T[rX폜܂B\n" );
			return 0;
		}

	}

	


	/******* g̃pX擾 ******************/
	HMODULE hModule = GetModuleHandle( NULL );
	if ( hModule == NULL ) {
		CloseServiceHandle(hServiceControlManager);
		return -3;
	}

	dwRet = GetModuleFileName( hModule, szFileName, sizeof( szFileName ) );
	if ( dwRet == 0 ) {
		CloseServiceHandle(hServiceControlManager);
		CloseHandle( hModule );
		return -4;
	}
	




	/* T[rXVK쐬Ao^ */
	hSvcHandle = CreateService(hServiceControlManager,
		DEF_SERVICE_NAME,			/* T[rX */
		DEF_SERVICEGROUP_TITLE,		/* T[rXO[v */
		SERVICE_ALL_ACCESS,
		SERVICE_WIN32_OWN_PROCESS,
		SERVICE_AUTO_START,
		SERVICE_ERROR_NORMAL,
		szFileName, /*T[rXvO̎st@C̃tpX*/
		NULL,
		NULL,
		NULL,
		NULL,
		NULL);

	if ( hSvcHandle == NULL ) {
		CloseServiceHandle(hServiceControlManager);
		printf( "T[rX̓o^Ɏs܂B\n" );
		return -5;
	}


	printf( "Service o^܂B\n" );

	
	CloseServiceHandle(hServiceControlManager);
	CloseServiceHandle( hSvcHandle );
	return 0;

}







/***************************************************************************/
/********* T[rXƂĎsvO{ ****************************/
/***************************************************************************/
/* http://nhiro4.ld.infoseek.co.jp/program/windows/service.html */
/* x[X */

/*** ϐ ***/
SERVICE_STATUS_HANDLE hServStus;
HANDLE hServEvnt;
DWORD  gServStus;



void WINAPI serviceProc(DWORD , LPSTR*);
void WINAPI serviceCtl(DWORD ctl);
int sendServiceStatus(DWORD serviceStatus);


/*** T[rX̃C ***/
void WINAPI serviceProc(DWORD , LPSTR*){

 /*** Rg[̓o^? ***/
  hServStus = RegisterServiceCtrlHandler(
      DEF_SERVICE_NAME, serviceCtl);
  if(hServStus==NULL){
    ofs << "T[rXJnł܂łB";
    return;
  }



  /*** T[rX̃Rg[󂯎鏀 ***/
  hServEvnt = CreateEvent(NULL, false, false, NULL);

  /*** sł邱Ƃm点B
   * Ȃ, Jn1bȓɂ܂łȂƂ߂Ȃ悤B
   */
  sendServiceStatus(SERVICE_RUNNING);



	/* ping Đǂݍ */
	
	int		nCnt;
	BOOL	blPingNg;
	DWORD	dwLastPing = 0;
	DWORD	dwIntervalMsec = dwPingInterval_Min * 60 * 1000;

	BOOL	blPinging = FALSE;
	int		nPingDoneCnt;



    time_t long_time;
	struct tm	*stNowTime;

    time(&long_time);
    stNowTime = localtime(&long_time);

	ofs << "*******************************************************************" << std::endl;
	ofs << "*********   "	<< stNowTime->tm_year << "." 
							<< stNowTime->tm_mon  << "." 
							<< stNowTime->tm_mday  << " " 
							<< stNowTime->tm_hour  << ":" 
							<< stNowTime->tm_min   << ":" 
							<< stNowTime->tm_sec   << " " 
		<< "Service Ping START *******************" 
		<< std::endl;
	ofs << "*******************************************************************" << std::endl;


	while(1){
		/*** {T[rXł, at@Cɏo() ***/
		ReopenLogFile_IfDateUpDate();
		ofs << "a" << std::endl;
    
	
		if ( ::GetTickCount() > dwLastPing + dwIntervalMsec ) {


			if ( !blPinging ) {
				blPinging = TRUE;
				nPingDoneCnt = 0;
			}


			if ( nPingDoneCnt < iPingMemberNum ) {
				for( nCnt = 0 ; nCnt < 20 ; nCnt++ ) {
					cPingLists[ nPingDoneCnt ].ExecPing();
					nPingDoneCnt++;

					if ( nPingDoneCnt >= iPingMemberNum ) {
						break;
					}

				}
			}


			if ( nPingDoneCnt >= iPingMemberNum ) {


				for( nCnt = 0 ; nCnt < iPingMemberNum; nCnt++ ) {
					if (cPingLists[ nCnt ].GetStatus() < 0 ) {
						break;
					}
				}

				if ( nCnt == iPingMemberNum ) {


					blPingNg = FALSE;
					for( nCnt = 0 ; nCnt < iPingMemberNum; nCnt++ ) {
						if (cPingLists[ nCnt ].GetStatus() > 0 ) {
							blPingNg = TRUE;
							break;
						}
					}
					if ( blPingNg ) {
						/* @gĘA */
						ExecErrWaring();
					}


					blPinging = FALSE;
					dwLastPing = ::GetTickCount();


				}


			}


		}



		::Sleep( 300 );
		



		/*** Rg[1bԎ󂯕tB***/
		if(WaitForSingleObject(hServEvnt, 1000)==WAIT_TIMEOUT){
			continue;
		}

		if(gServStus == SERVICE_STOPPED){
			ResetEvent(hServEvnt);
			break;
		}
  }


	delete [] cPingLists;

  CloseHandle(hServEvnt);


	ofs << "*******************************************************************" << std::endl;
	ofs << "*********   "	<< stNowTime->tm_year << "." 
							<< stNowTime->tm_mon  << "." 
							<< stNowTime->tm_mday  << " " 
							<< stNowTime->tm_hour  << ":" 
							<< stNowTime->tm_min   << ":" 
							<< stNowTime->tm_sec   << " " 
		<< "Service Ping END   *******************" 
		<< std::endl;
	ofs << "*******************************************************************" << std::endl;



  /*** IƂm点B***/
  sendServiceStatus(SERVICE_STOPPED);
}




/*** T[rX̃Rg[ 
 * , SCMɂ, Ă΂񂾂낤ȂB
 ***/
void WINAPI serviceCtl(DWORD ctl){
  switch(ctl){
  case SERVICE_CONTROL_STOP:
    gServStus = SERVICE_STOPPED;
    SetEvent(hServEvnt);
    break;
  }
  return;
}




int sendServiceStatus(DWORD serviceStatus){
  SERVICE_STATUS servStus = {
    SERVICE_WIN32_OWN_PROCESS,
    serviceStatus,          // sĂ܂B
    SERVICE_ACCEPT_STOP,       // Îݎ󂯕t܂B
    0,0,0,0};
  SetServiceStatus(hServStus, &servStus);
  return 0;

}
